xine-lib: _MemAllocator Struct Reference

xine-lib 1.2.12

Data Fields
_MemAllocator Struct Reference

`#include <allocator.h>`

## Data Fields
IMemAllocator_vt * | vt
int | refcount
ALLOCATOR_PROPERTIES | props
avm_list_t * | used_list
avm_list_t * | free_list
char * | new_pointer
CMediaSample * | modified_sample
GUID | interfaces [2]
void(* | SetPointer )(MemAllocator *This, char *pointer)
void(* | ResetPointer )(MemAllocator *This)

## Field Documentation

## ◆ free_list

avm_list_t* _MemAllocator::free_list

Referenced by MemAllocator_Commit(), MemAllocator_Decommit(), MemAllocator_GetBuffer(), MemAllocator_ReleaseBuffer(), MemAllocator_SetProperties(), and MemAllocatorCreate().

## ◆ interfaces

GUID _MemAllocator::interfaces[2]

Referenced by MemAllocatorCreate().

## ◆ modified_sample

CMediaSample* _MemAllocator::modified_sample

Referenced by MemAllocator_GetBuffer(), MemAllocator_ReleaseBuffer(), MemAllocator_ResetPointer(), and MemAllocatorCreate().

## ◆ new_pointer

char* _MemAllocator::new_pointer

Referenced by MemAllocator_GetBuffer(), MemAllocator_SetPointer(), and MemAllocatorCreate().

## ◆ props

ALLOCATOR_PROPERTIES _MemAllocator::props

Referenced by MemAllocator_Commit(), MemAllocator_SetProperties(), and MemAllocatorCreate().

## ◆ refcount

int _MemAllocator::refcount

Referenced by MemAllocator_Destroy(), and MemAllocatorCreate().

## ◆ ResetPointer

void(* _MemAllocator::ResetPointer) (MemAllocator *This)

Referenced by MemAllocatorCreate().

## ◆ SetPointer

void(* _MemAllocator::SetPointer) (MemAllocator *This, char *pointer)

Referenced by COutputPin_SetPointer2(), and MemAllocatorCreate().

## ◆ used_list

avm_list_t* _MemAllocator::used_list

Referenced by MemAllocator_Commit(), MemAllocator_Decommit(), MemAllocator_GetBuffer(), MemAllocator_ReleaseBuffer(), MemAllocator_SetProperties(), and MemAllocatorCreate().

## ◆ vt

IMemAllocator_vt* _MemAllocator::vt

Referenced by MemAllocator_Destroy(), and MemAllocatorCreate().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/libw32dll/DirectShow/allocator.h